//
// Created by Kai Jan Kriegel on 12.10.22.
//

#ifndef FAB_READER2_C_ST25R3911_SPI_H
#define FAB_READER2_C_ST25R3911_SPI_H

#include <esp_err.h>
#include <driver/spi_master.h>

#ifdef __cplusplus
extern "C" {
#endif

void st25r3911_spi_init(spi_device_handle_t spi);

esp_err_t st25r3911_spiTxRx(const uint8_t *txData, uint8_t *rxData, uint16_t length);

#ifdef __cplusplus
}
#endif

#endif //FAB_READER2_C_ST25R3911_SPI_H
